List versions in a project
GET
/v1/projects/{projectId}/versionscurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/versions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<ProjectVersionListRowDto>必填
- idstring必填
- numbernumber必填
- namestring必填
- episodeCountnumber必填
- trainCountnumber必填
- valCountnumber必填
- testCountnumber必填
- totalDurationNsnumber必填
- digeststring必填
- refstring必填
- urlstring必填
- aliasesarray<string>必填
- createdAtstring必填
- rowVersionnumber必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"number": 0,
"name": "string",
"episodeCount": 0,
"trainCount": 0,
"valCount": 0,
"testCount": 0,
"totalDurationNs": 0,
"digest": "string",
"ref": "string",
"url": "string",
"aliases": [
"string"
],
"createdAt": "string",
"rowVersion": 0
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1